org.opencv.aruco

## Class Aruco

- java.lang.Object
- - org.opencv.aruco.Aruco

-     public class Aruco
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CORNER_REFINE_CONTOUR`
    `static int` | `CORNER_REFINE_NONE`
    `static int` | `CORNER_REFINE_SUBPIX`
    `static int` | `DICT_4X4_100`
    `static int` | `DICT_4X4_1000`
    `static int` | `DICT_4X4_250`
    `static int` | `DICT_4X4_50`
    `static int` | `DICT_5X5_100`
    `static int` | `DICT_5X5_1000`
    `static int` | `DICT_5X5_250`
    `static int` | `DICT_5X5_50`
    `static int` | `DICT_6X6_100`
    `static int` | `DICT_6X6_1000`
    `static int` | `DICT_6X6_250`
    `static int` | `DICT_6X6_50`
    `static int` | `DICT_7X7_100`
    `static int` | `DICT_7X7_1000`
    `static int` | `DICT_7X7_250`
    `static int` | `DICT_7X7_50`
    `static int` | `DICT_ARUCO_ORIGINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Aruco()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `calibrateCameraAruco(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs)`
    `static double` | `calibrateCameraAruco(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, int flags)`
    `static double` | `calibrateCameraAruco(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, int flags, TermCriteria criteria)`
    `static double` | `calibrateCameraArucoExtended(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors)`
    `static double` | `calibrateCameraArucoExtended(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors, int flags)`
    `static double` | `calibrateCameraArucoExtended(java.util.List<Mat> corners, Mat ids, Mat counter, Board board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors, int flags, TermCriteria criteria)`
    `static double` | `calibrateCameraCharuco(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs)`
    `static double` | `calibrateCameraCharuco(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, int flags)`
    `static double` | `calibrateCameraCharuco(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, int flags, TermCriteria criteria)`
    `static double` | `calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors)`
    `static double` | `calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors, int flags)`
    `static double` | `calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners, java.util.List<Mat> charucoIds, CharucoBoard board, Size imageSize, Mat cameraMatrix, Mat distCoeffs, java.util.List<Mat> rvecs, java.util.List<Mat> tvecs, Mat stdDeviationsIntrinsics, Mat stdDeviationsExtrinsics, Mat perViewErrors, int flags, TermCriteria criteria)`
    `static Dictionary` | `custom_dictionary_from(int nMarkers, int markerSize, Dictionary baseDictionary)`
    `static Dictionary` | `custom_dictionary(int nMarkers, int markerSize)`
    `static void` | `detectCharucoDiamond(Mat image, java.util.List<Mat> markerCorners, Mat markerIds, float squareMarkerLengthRate, java.util.List<Mat> diamondCorners, Mat diamondIds)`
    `static void` | `detectCharucoDiamond(Mat image, java.util.List<Mat> markerCorners, Mat markerIds, float squareMarkerLengthRate, java.util.List<Mat> diamondCorners, Mat diamondIds, Mat cameraMatrix, Mat distCoeffs)`
    `static void` | `detectMarkers(Mat image, Dictionary dictionary, java.util.List<Mat> corners, Mat ids)`
    `static void` | `detectMarkers(Mat image, Dictionary dictionary, java.util.List<Mat> corners, Mat ids, DetectorParameters parameters, java.util.List<Mat> rejectedImgPoints, Mat cameraMatrix, Mat distCoeff)`
    `static void` | `drawAxis(Mat image, Mat cameraMatrix, Mat distCoeffs, Mat rvec, Mat tvec, float length)`
    `static void` | `drawDetectedCornersCharuco(Mat image, Mat charucoCorners)`
    `static void` | `drawDetectedCornersCharuco(Mat image, Mat charucoCorners, Mat charucoIds, Scalar cornerColor)`
    `static void` | `drawDetectedDiamonds(Mat image, java.util.List<Mat> diamondCorners)`
    `static void` | `drawDetectedDiamonds(Mat image, java.util.List<Mat> diamondCorners, Mat diamondIds, Scalar borderColor)`
    `static void` | `drawDetectedMarkers(Mat image, java.util.List<Mat> corners)`
    `static void` | `drawDetectedMarkers(Mat image, java.util.List<Mat> corners, Mat ids, Scalar borderColor)`
    `static void` | `drawMarker(Dictionary dictionary, int id, int sidePixels, Mat img)`
    `static void` | `drawMarker(Dictionary dictionary, int id, int sidePixels, Mat img, int borderBits)`
    `static void` | `drawPlanarBoard(Board board, Size outSize, Mat img)`
    `static void` | `drawPlanarBoard(Board board, Size outSize, Mat img, int marginSize, int borderBits)`
    `static int` | `estimatePoseBoard(java.util.List<Mat> corners, Mat ids, Board board, Mat cameraMatrix, Mat distCoeffs, Mat rvec, Mat tvec)`
    `static int` | `estimatePoseBoard(java.util.List<Mat> corners, Mat ids, Board board, Mat cameraMatrix, Mat distCoeffs, Mat rvec, Mat tvec, boolean useExtrinsicGuess)`
    `static boolean` | `estimatePoseCharucoBoard(Mat charucoCorners, Mat charucoIds, CharucoBoard board, Mat cameraMatrix, Mat distCoeffs, Mat rvec, Mat tvec)`
    `static boolean` | `estimatePoseCharucoBoard(Mat charucoCorners, Mat charucoIds, CharucoBoard board, Mat cameraMatrix, Mat distCoeffs, Mat rvec, Mat tvec, boolean useExtrinsicGuess)`
    `static void` | `estimatePoseSingleMarkers(java.util.List<Mat> corners, float markerLength, Mat cameraMatrix, Mat distCoeffs, Mat rvecs, Mat tvecs)`
    `static void` | `estimatePoseSingleMarkers(java.util.List<Mat> corners, float markerLength, Mat cameraMatrix, Mat distCoeffs, Mat rvecs, Mat tvecs, Mat _objPoints)`
    `static void` | `getBoardObjectAndImagePoints(Board board, java.util.List<Mat> detectedCorners, Mat detectedIds, Mat objPoints, Mat imgPoints)`
    `static Dictionary` | `getPredefinedDictionary(int dict)`
    `static int` | `interpolateCornersCharuco(java.util.List<Mat> markerCorners, Mat markerIds, Mat image, CharucoBoard board, Mat charucoCorners, Mat charucoIds)`
    `static int` | `interpolateCornersCharuco(java.util.List<Mat> markerCorners, Mat markerIds, Mat image, CharucoBoard board, Mat charucoCorners, Mat charucoIds, Mat cameraMatrix, Mat distCoeffs, int minMarkers)`
    `static void` | `refineDetectedMarkers(Mat image, Board board, java.util.List<Mat> detectedCorners, Mat detectedIds, java.util.List<Mat> rejectedCorners)`
    `static void` | `refineDetectedMarkers(Mat image, Board board, java.util.List<Mat> detectedCorners, Mat detectedIds, java.util.List<Mat> rejectedCorners, Mat cameraMatrix, Mat distCoeffs, float minRepDistance, float errorCorrectionRate, boolean checkAllOrders, Mat recoveredIdxs, DetectorParameters parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORNER_REFINE_NONE

          public static final int CORNER_REFINE_NONE

      See Also:
        Constant Field Values

    - #### CORNER_REFINE_SUBPIX

          public static final int CORNER_REFINE_SUBPIX

      See Also:
        Constant Field Values

    - #### CORNER_REFINE_CONTOUR

          public static final int CORNER_REFINE_CONTOUR

      See Also:
        Constant Field Values

    - #### DICT_4X4_50

          public static final int DICT_4X4_50

      See Also:
        Constant Field Values

    - #### DICT_4X4_100

          public static final int DICT_4X4_100

      See Also:
        Constant Field Values

    - #### DICT_4X4_250

          public static final int DICT_4X4_250

      See Also:
        Constant Field Values

    - #### DICT_4X4_1000

          public static final int DICT_4X4_1000

      See Also:
        Constant Field Values

    - #### DICT_5X5_50

          public static final int DICT_5X5_50

      See Also:
        Constant Field Values

    - #### DICT_5X5_100

          public static final int DICT_5X5_100

      See Also:
        Constant Field Values

    - #### DICT_5X5_250

          public static final int DICT_5X5_250

      See Also:
        Constant Field Values

    - #### DICT_5X5_1000

          public static final int DICT_5X5_1000

      See Also:
        Constant Field Values

    - #### DICT_6X6_50

          public static final int DICT_6X6_50

      See Also:
        Constant Field Values

    - #### DICT_6X6_100

          public static final int DICT_6X6_100

      See Also:
        Constant Field Values

    - #### DICT_6X6_250

          public static final int DICT_6X6_250

      See Also:
        Constant Field Values

    - #### DICT_6X6_1000

          public static final int DICT_6X6_1000

      See Also:
        Constant Field Values

    - #### DICT_7X7_50

          public static final int DICT_7X7_50

      See Also:
        Constant Field Values

    - #### DICT_7X7_100

          public static final int DICT_7X7_100

      See Also:
        Constant Field Values

    - #### DICT_7X7_250

          public static final int DICT_7X7_250

      See Also:
        Constant Field Values

    - #### DICT_7X7_1000

          public static final int DICT_7X7_1000

      See Also:
        Constant Field Values

    - #### DICT_ARUCO_ORIGINAL

          public static final int DICT_ARUCO_ORIGINAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Aruco

          public Aruco()

  - ### Method Detail

    - #### custom_dictionary_from

          public static Dictionary custom_dictionary_from(int nMarkers,
                                                          int markerSize,
                                                          Dictionary baseDictionary)

    - #### custom_dictionary

          public static Dictionary custom_dictionary(int nMarkers,
                                                     int markerSize)

    - #### getPredefinedDictionary

          public static Dictionary getPredefinedDictionary(int dict)

    - #### estimatePoseCharucoBoard

          public static boolean estimatePoseCharucoBoard(Mat charucoCorners,
                                                         Mat charucoIds,
                                                         CharucoBoard board,
                                                         Mat cameraMatrix,
                                                         Mat distCoeffs,
                                                         Mat rvec,
                                                         Mat tvec,
                                                         boolean useExtrinsicGuess)

    - #### estimatePoseCharucoBoard

          public static boolean estimatePoseCharucoBoard(Mat charucoCorners,
                                                         Mat charucoIds,
                                                         CharucoBoard board,
                                                         Mat cameraMatrix,
                                                         Mat distCoeffs,
                                                         Mat rvec,
                                                         Mat tvec)

    - #### calibrateCameraArucoExtended

          public static double calibrateCameraArucoExtended(java.util.List<Mat> corners,
                                                            Mat ids,
                                                            Mat counter,
                                                            Board board,
                                                            Size imageSize,
                                                            Mat cameraMatrix,
                                                            Mat distCoeffs,
                                                            java.util.List<Mat> rvecs,
                                                            java.util.List<Mat> tvecs,
                                                            Mat stdDeviationsIntrinsics,
                                                            Mat stdDeviationsExtrinsics,
                                                            Mat perViewErrors,
                                                            int flags,
                                                            TermCriteria criteria)

    - #### calibrateCameraArucoExtended

          public static double calibrateCameraArucoExtended(java.util.List<Mat> corners,
                                                            Mat ids,
                                                            Mat counter,
                                                            Board board,
                                                            Size imageSize,
                                                            Mat cameraMatrix,
                                                            Mat distCoeffs,
                                                            java.util.List<Mat> rvecs,
                                                            java.util.List<Mat> tvecs,
                                                            Mat stdDeviationsIntrinsics,
                                                            Mat stdDeviationsExtrinsics,
                                                            Mat perViewErrors,
                                                            int flags)

    - #### calibrateCameraArucoExtended

          public static double calibrateCameraArucoExtended(java.util.List<Mat> corners,
                                                            Mat ids,
                                                            Mat counter,
                                                            Board board,
                                                            Size imageSize,
                                                            Mat cameraMatrix,
                                                            Mat distCoeffs,
                                                            java.util.List<Mat> rvecs,
                                                            java.util.List<Mat> tvecs,
                                                            Mat stdDeviationsIntrinsics,
                                                            Mat stdDeviationsExtrinsics,
                                                            Mat perViewErrors)

    - #### calibrateCameraAruco

          public static double calibrateCameraAruco(java.util.List<Mat> corners,
                                                    Mat ids,
                                                    Mat counter,
                                                    Board board,
                                                    Size imageSize,
                                                    Mat cameraMatrix,
                                                    Mat distCoeffs,
                                                    java.util.List<Mat> rvecs,
                                                    java.util.List<Mat> tvecs,
                                                    int flags,
                                                    TermCriteria criteria)

    - #### calibrateCameraAruco

          public static double calibrateCameraAruco(java.util.List<Mat> corners,
                                                    Mat ids,
                                                    Mat counter,
                                                    Board board,
                                                    Size imageSize,
                                                    Mat cameraMatrix,
                                                    Mat distCoeffs,
                                                    java.util.List<Mat> rvecs,
                                                    java.util.List<Mat> tvecs,
                                                    int flags)

    - #### calibrateCameraAruco

          public static double calibrateCameraAruco(java.util.List<Mat> corners,
                                                    Mat ids,
                                                    Mat counter,
                                                    Board board,
                                                    Size imageSize,
                                                    Mat cameraMatrix,
                                                    Mat distCoeffs)

    - #### calibrateCameraCharucoExtended

          public static double calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners,
                                                              java.util.List<Mat> charucoIds,
                                                              CharucoBoard board,
                                                              Size imageSize,
                                                              Mat cameraMatrix,
                                                              Mat distCoeffs,
                                                              java.util.List<Mat> rvecs,
                                                              java.util.List<Mat> tvecs,
                                                              Mat stdDeviationsIntrinsics,
                                                              Mat stdDeviationsExtrinsics,
                                                              Mat perViewErrors,
                                                              int flags,
                                                              TermCriteria criteria)

    - #### calibrateCameraCharucoExtended

          public static double calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners,
                                                              java.util.List<Mat> charucoIds,
                                                              CharucoBoard board,
                                                              Size imageSize,
                                                              Mat cameraMatrix,
                                                              Mat distCoeffs,
                                                              java.util.List<Mat> rvecs,
                                                              java.util.List<Mat> tvecs,
                                                              Mat stdDeviationsIntrinsics,
                                                              Mat stdDeviationsExtrinsics,
                                                              Mat perViewErrors,
                                                              int flags)

    - #### calibrateCameraCharucoExtended

          public static double calibrateCameraCharucoExtended(java.util.List<Mat> charucoCorners,
                                                              java.util.List<Mat> charucoIds,
                                                              CharucoBoard board,
                                                              Size imageSize,
                                                              Mat cameraMatrix,
                                                              Mat distCoeffs,
                                                              java.util.List<Mat> rvecs,
                                                              java.util.List<Mat> tvecs,
                                                              Mat stdDeviationsIntrinsics,
                                                              Mat stdDeviationsExtrinsics,
                                                              Mat perViewErrors)

    - #### calibrateCameraCharuco

          public static double calibrateCameraCharuco(java.util.List<Mat> charucoCorners,
                                                      java.util.List<Mat> charucoIds,
                                                      CharucoBoard board,
                                                      Size imageSize,
                                                      Mat cameraMatrix,
                                                      Mat distCoeffs,
                                                      java.util.List<Mat> rvecs,
                                                      java.util.List<Mat> tvecs,
                                                      int flags,
                                                      TermCriteria criteria)

    - #### calibrateCameraCharuco

          public static double calibrateCameraCharuco(java.util.List<Mat> charucoCorners,
                                                      java.util.List<Mat> charucoIds,
                                                      CharucoBoard board,
                                                      Size imageSize,
                                                      Mat cameraMatrix,
                                                      Mat distCoeffs,
                                                      java.util.List<Mat> rvecs,
                                                      java.util.List<Mat> tvecs,
                                                      int flags)

    - #### calibrateCameraCharuco

          public static double calibrateCameraCharuco(java.util.List<Mat> charucoCorners,
                                                      java.util.List<Mat> charucoIds,
                                                      CharucoBoard board,
                                                      Size imageSize,
                                                      Mat cameraMatrix,
                                                      Mat distCoeffs)

    - #### estimatePoseBoard

          public static int estimatePoseBoard(java.util.List<Mat> corners,
                                              Mat ids,
                                              Board board,
                                              Mat cameraMatrix,
                                              Mat distCoeffs,
                                              Mat rvec,
                                              Mat tvec,
                                              boolean useExtrinsicGuess)

    - #### estimatePoseBoard

          public static int estimatePoseBoard(java.util.List<Mat> corners,
                                              Mat ids,
                                              Board board,
                                              Mat cameraMatrix,
                                              Mat distCoeffs,
                                              Mat rvec,
                                              Mat tvec)

    - #### interpolateCornersCharuco

          public static int interpolateCornersCharuco(java.util.List<Mat> markerCorners,
                                                      Mat markerIds,
                                                      Mat image,
                                                      CharucoBoard board,
                                                      Mat charucoCorners,
                                                      Mat charucoIds,
                                                      Mat cameraMatrix,
                                                      Mat distCoeffs,
                                                      int minMarkers)

    - #### interpolateCornersCharuco

          public static int interpolateCornersCharuco(java.util.List<Mat> markerCorners,
                                                      Mat markerIds,
                                                      Mat image,
                                                      CharucoBoard board,
                                                      Mat charucoCorners,
                                                      Mat charucoIds)

    - #### detectCharucoDiamond

          public static void detectCharucoDiamond(Mat image,
                                                  java.util.List<Mat> markerCorners,
                                                  Mat markerIds,
                                                  float squareMarkerLengthRate,
                                                  java.util.List<Mat> diamondCorners,
                                                  Mat diamondIds,
                                                  Mat cameraMatrix,
                                                  Mat distCoeffs)

    - #### detectCharucoDiamond

          public static void detectCharucoDiamond(Mat image,
                                                  java.util.List<Mat> markerCorners,
                                                  Mat markerIds,
                                                  float squareMarkerLengthRate,
                                                  java.util.List<Mat> diamondCorners,
                                                  Mat diamondIds)

    - #### detectMarkers

          public static void detectMarkers(Mat image,
                                           Dictionary dictionary,
                                           java.util.List<Mat> corners,
                                           Mat ids,
                                           DetectorParameters parameters,
                                           java.util.List<Mat> rejectedImgPoints,
                                           Mat cameraMatrix,
                                           Mat distCoeff)

    - #### detectMarkers

          public static void detectMarkers(Mat image,
                                           Dictionary dictionary,
                                           java.util.List<Mat> corners,
                                           Mat ids)

    - #### drawAxis

          public static void drawAxis(Mat image,
                                      Mat cameraMatrix,
                                      Mat distCoeffs,
                                      Mat rvec,
                                      Mat tvec,
                                      float length)

    - #### drawDetectedCornersCharuco

          public static void drawDetectedCornersCharuco(Mat image,
                                                        Mat charucoCorners,
                                                        Mat charucoIds,
                                                        Scalar cornerColor)

    - #### drawDetectedCornersCharuco

          public static void drawDetectedCornersCharuco(Mat image,
                                                        Mat charucoCorners)

    - #### drawDetectedDiamonds

          public static void drawDetectedDiamonds(Mat image,
                                                  java.util.List<Mat> diamondCorners,
                                                  Mat diamondIds,
                                                  Scalar borderColor)

    - #### drawDetectedDiamonds

          public static void drawDetectedDiamonds(Mat image,
                                                  java.util.List<Mat> diamondCorners)

    - #### drawDetectedMarkers

          public static void drawDetectedMarkers(Mat image,
                                                 java.util.List<Mat> corners,
                                                 Mat ids,
                                                 Scalar borderColor)

    - #### drawDetectedMarkers

          public static void drawDetectedMarkers(Mat image,
                                                 java.util.List<Mat> corners)

    - #### drawMarker

          public static void drawMarker(Dictionary dictionary,
                                        int id,
                                        int sidePixels,
                                        Mat img,
                                        int borderBits)

    - #### drawMarker

          public static void drawMarker(Dictionary dictionary,
                                        int id,
                                        int sidePixels,
                                        Mat img)

    - #### drawPlanarBoard

          public static void drawPlanarBoard(Board board,
                                             Size outSize,
                                             Mat img,
                                             int marginSize,
                                             int borderBits)

    - #### drawPlanarBoard

          public static void drawPlanarBoard(Board board,
                                             Size outSize,
                                             Mat img)

    - #### estimatePoseSingleMarkers

          public static void estimatePoseSingleMarkers(java.util.List<Mat> corners,
                                                       float markerLength,
                                                       Mat cameraMatrix,
                                                       Mat distCoeffs,
                                                       Mat rvecs,
                                                       Mat tvecs,
                                                       Mat _objPoints)

    - #### estimatePoseSingleMarkers

          public static void estimatePoseSingleMarkers(java.util.List<Mat> corners,
                                                       float markerLength,
                                                       Mat cameraMatrix,
                                                       Mat distCoeffs,
                                                       Mat rvecs,
                                                       Mat tvecs)

    - #### getBoardObjectAndImagePoints

          public static void getBoardObjectAndImagePoints(Board board,
                                                          java.util.List<Mat> detectedCorners,
                                                          Mat detectedIds,
                                                          Mat objPoints,
                                                          Mat imgPoints)

    - #### refineDetectedMarkers

          public static void refineDetectedMarkers(Mat image,
                                                   Board board,
                                                   java.util.List<Mat> detectedCorners,
                                                   Mat detectedIds,
                                                   java.util.List<Mat> rejectedCorners,
                                                   Mat cameraMatrix,
                                                   Mat distCoeffs,
                                                   float minRepDistance,
                                                   float errorCorrectionRate,
                                                   boolean checkAllOrders,
                                                   Mat recoveredIdxs,
                                                   DetectorParameters parameters)

    - #### refineDetectedMarkers

          public static void refineDetectedMarkers(Mat image,
                                                   Board board,
                                                   java.util.List<Mat> detectedCorners,
                                                   Mat detectedIds,
                                                   java.util.List<Mat> rejectedCorners)

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1